Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class PreparedStatement

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.Statement
            |
            +--weblogic.jdbc.pool.Statement
                  |
                  +--weblogic.jdbc.pool.PreparedStatement

Direct Known Subclasses:
  CallableStatement

public class PreparedStatement
extends Statement
implements java.sql.PreparedStatement

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.Statement
`cc, conn, key, stmt`

Constructor Summary
`PreparedStatement()`
`PreparedStatement(java.sql.PreparedStatement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`void` | `addBatch()`
`boolean` | `execute()`
`boolean` | `execute(java.lang.String sql)`
`java.sql.ResultSet` | `executeQuery()`
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate()`
`int` | `executeUpdate(java.lang.String sql)`
`java.sql.ResultSetMetaData` | `getMetaData()`
`void` | `setArray(int i, java.sql.Array x)`
`void` | `setBlob(int i, java.sql.Blob x)`
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)`
`void` | `setClob(int i, java.sql.Clob x)`
`void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)`
`void` | `setNull(int i, int sqlType, java.lang.String typeName)`
`void` | `setRef(int i, java.sql.Ref x)`
`void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)`

Methods inherited from class weblogic.jdbc.pool.Statement
`addBatch, clearBatch, executeBatch, getConnection, getFetchDirection, getFetchSize, getResultSet, getResultSetConcurrency, getResultSetType, setFetchDirection, setFetchSize`

Methods inherited from class weblogic.jdbcbase.pool.Statement
`cancel, clearParameters, clearWarnings, close, executeWriteText, executeWriteText, executeWriteText, executeWriteText, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setQueryTimeout, setShort, setString, setTime, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedStatement

    public PreparedStatement()

### PreparedStatement

    public PreparedStatement(java.sql.PreparedStatement jstmt,
                             weblogic.jdbc.common.internal.ConnectionEnv aCc,
                             java.lang.String aKey,
                             weblogic.jdbcbase.pool.Connection aConn)

Method Detail

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Specified by:
    execute in interface java.sql.PreparedStatement

  Returns:
    boolean
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    execute in class weblogic.jdbcbase.pool.Statement

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.PreparedStatement

  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.PreparedStatement

  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    executeUpdate in class weblogic.jdbcbase.pool.Statement

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    executeQuery in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    executeUpdate in class Statement

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    boolean
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    execute in class weblogic.jdbcbase.pool.Statement

### setNull

    public void setNull(int i,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Specified by:
    setNull in interface java.sql.PreparedStatement

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.PreparedStatement

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    setCharacterStream in interface java.sql.PreparedStatement

### setRef

    public void setRef(int i,
                       java.sql.Ref x)
                throws java.sql.SQLException

  Specified by:
    setRef in interface java.sql.PreparedStatement

### setBlob

    public void setBlob(int i,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  Specified by:
    setBlob in interface java.sql.PreparedStatement

### setClob

    public void setClob(int i,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  Specified by:
    setClob in interface java.sql.PreparedStatement

### setArray

    public void setArray(int i,
                         java.sql.Array x)
                  throws java.sql.SQLException

  Specified by:
    setArray in interface java.sql.PreparedStatement

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.PreparedStatement

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    setDate in interface java.sql.PreparedStatement

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    setTime in interface java.sql.PreparedStatement

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Specified by:
    setTimestamp in interface java.sql.PreparedStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD